opencv (4.10.0+dfsg-5ubuntu1) questing; urgency=medium

  * d/patches: Add upstream_fixed-VSX-build-with-GCC-15.patch to fix
    build on ppc64el with GCC 15. (LP: #2119640)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Aug 2025 05:37:43 +0100

opencv (4.10.0+dfsg-5build1) questing; urgency=medium

  * No-change rebuild for GCC-15.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Aug 2025 21:17:11 +0100

opencv (4.10.0+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Mo Zhou ]
  * Remove Build-Depends on libopenjpip-server. (Closes: #1100645)

 -- Bastian Germann <bage@debian.org>  Tue, 18 Mar 2025 20:39:02 +0100

opencv (4.10.0+dfsg-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * Disable 1394 Build-Dep on all non-linux OSes. (Closes: #1099990)

  [ Mo Zhou ]
  * Delete the t64:Provides leftover from d/control. (Closes: #1099765)
  * Mark python3-opencv as Multi-Arch: no.
  * Add the egg-info directory for python3-opencv. (Closes: #1099764)
  * Generate installed-files.txt for egg-info.

 -- Mo Zhou <lumin@debian.org>  Fri, 14 Mar 2025 23:47:21 -0400

opencv (4.10.0+dfsg-3) unstable; urgency=medium

  * No need to install duplicate license information. (Closes: #1041650)
  * Properly clean up embedded 3rdparty source code. (Closes: #1046728)
  * Explicitly add numpy in the dependency field of python3-opencv.
  * Add autopkgtest for cv::boundingRect. (Closes: #1017348)
  * Add libtbb-dev to Build-Depends for alpha architecture. (Closes: #1084865)

 -- Mo Zhou <lumin@debian.org>  Tue, 25 Feb 2025 00:55:44 -0500

opencv (4.10.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable and start transition.

 -- Mo Zhou <lumin@debian.org>  Fri, 14 Feb 2025 13:19:39 -0500

opencv (4.10.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.10.0+dfsg
    * copyright: execlude one more lena image from 4.10.0 release.
    * Sync the 3rdparty quirc library to 4.10.0 version.
    * Bump SOVERSION to 410.
  * Rebase existing patches, refresh existing ones and remove merged ones.
  * d/rules: Specify WITH_FLATBUFFERS=OFF.
  * rules: Delete code for mipsel architecture.
  * Update install files: `barcode` module was merged into objdetect.
  * Install the new signal module from contrib.
  * Remove the Breaks+Replaces introduced during the t64 transition --
    They are no longer needed.
  * Bump version in Java package control files.
  * Update lintian overrides and copyright file.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Tue, 10 Dec 2024 23:40:09 -0500

opencv (4.6.0+dfsg-14) unstable; urgency=medium

  * Team upload.
  [ Gilles Filippini ]
  * New patch python3.12.patch to fix FTBFS with Python 3.12.
    Closes: #1076901.
  [ Mo Zhou ]
  * Fix depends-on-obsolete-package Depends: pkg-config => pkgconf.

 -- Santiago Vila <sanvila@debian.org>  Thu, 15 Aug 2024 19:00:00 +0200

opencv (4.6.0+dfsg-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062839

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 03:07:04 +0000

opencv (4.6.0+dfsg-13) unstable; urgency=medium

  * Embed and enable the 3rdparty source for QUIRC as per user request.
  * Add several missing build dependencies for libopenjp, libva and imath.
  * Patch: remove the downloading function from cmake files.
  * Fix obsolete B-D libgl1-mesa-dev => libgl-dev.
  * Update copyright and lintian overrides. It's lintian-clean now.

 -- Mo Zhou <lumin@debian.org>  Sun, 16 Jul 2023 19:20:35 -0700

opencv (4.6.0+dfsg-12) unstable; urgency=medium

  * Team upload.

  [ Andreas Beckmann ]
  * libopencv-core406: Add Breaks: libopencv-core4.5 for smoother upgrades
    from bullseye (Closes: #1035886)

  [ Jochen Sprickerhof ]
  * Add upstream patches for CVE-2023-2617 and CVE-2023-2618 (Closes: #1035954)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 12 May 2023 11:40:38 +0200

opencv (4.6.0+dfsg-11) unstable; urgency=medium

  * Update d/rules.
    Use -DCMAKE_SKIP_RPATH=ON instead of -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON.
    (Closes: #1024638)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Mar 2023 10:21:45 +0900

opencv (4.6.0+dfsg-10) unstable; urgency=medium

  * Update d/rules.
    Add -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to configure of python extension
    (Closes: #1024638)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 16 Jan 2023 11:23:50 +0900

opencv (4.6.0+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on arch any (Closes: #1024507)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 22:22:15 +0100

opencv (4.6.0+dfsg-8) unstable; urgency=medium

  * Team upload.

  [ Victor Westerhuis ]
  * Build Python extension for all supported versions (Closes: 972566)
  * Make binaries build reproducibly
  * Make documentation build reproducibly (Closes: #1024482)

  [ Jochen Sprickerhof ]
  * Update build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 16:12:59 +0100

opencv (4.6.0+dfsg-7) unstable; urgency=medium

  [ Victor Westerhuis ]
  * Do not try to download any files while building (Closes: 1019519)
  * Support building by directly calling d/rules
  * Fix Java architecture test in d/build
  * Do not build unused statically linked apps and Java bindings
  * Delete useless Build-Depends on libswresample
  * Fix building with LAPACK
  * Build highgui module with QT support (Closes: 958028)

  [ Mo Zhou ]
  * Fix broken symlink for .jar file. (Closes: #1019863)

 -- Mo Zhou <lumin@debian.org>  Wed, 21 Sep 2022 20:51:42 -0400

opencv (4.6.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Revert "Package ovis module"
    Needs libogre-1.12-dev which is not available on mipsel

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 09 Aug 2022 09:38:18 +0200

opencv (4.6.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add patches to fix build (Closes: #1016684)
  * Package ovis module

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 09 Aug 2022 07:02:57 +0200

opencv (4.6.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jul 2022 22:22:48 +0200

opencv (4.6.0+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Don't build static Python 3 module

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 30 Jun 2022 13:13:22 +0200

opencv (4.6.0+dfsg-2) experimental; urgency=medium

  [ Adrian Bunk ]
  * Team upload.
  * Link with libatomic on architectures that might need it

  [ Jochen Sprickerhof ]
  * Clean up old Breaks/Conflicts/Replaces
  * Drop versioned dependency (in oldoldstable)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jun 2022 07:39:59 +0200

opencv (4.6.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update d/copyright
  * Use oversionmangle in d/watch
  * Add d/gbp.conf to import component as well
  * New upstream version 4.6.0+dfsg (Closes: #1004718)
  * Drop patch for debian-specific SOVERSION
  * Drop salsa-ci.yml
  * Rename packages due to Soname change
  * Make libopencv-java unversioned
  * Drop old manpages
  * Bump policy version (no changes)
  * Use dh-sequences
  * Remove old files in d/

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 Jun 2022 10:06:16 +0200

opencv (4.5.4+dfsg-9) unstable; urgency=medium

  * Fix broken symlink
  * Apply MA hint

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 23:32:18 +0100

opencv (4.5.4+dfsg-8) unstable; urgency=medium

  * Resolve file conflict with libopencv4.5-jni (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 13:24:59 +0100

opencv (4.5.4+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Add patch for Debian Soname in pkg-config (Closes: #1000625)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Nov 2021 09:52:16 +0100

opencv (4.5.4+dfsg-6) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Nov 2021 22:21:16 +0100

opencv (4.5.4+dfsg-5) experimental; urgency=medium

  * Keep package name libopencv4.5-java

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Nov 2021 20:56:30 +0100

opencv (4.5.4+dfsg-4) experimental; urgency=medium

  * Also add -d suffix to jar files (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Nov 2021 18:43:14 +0100

opencv (4.5.4+dfsg-3) experimental; urgency=medium

  * Also add -d suffix to shared library filenames (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Nov 2021 15:09:55 +0100

opencv (4.5.4+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Bump SOVERSION to 4.5d after upstream ABI breakage (Closes: #998141)

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Nov 2021 12:49:30 +0100

opencv (4.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.4+dfsg.
  * Update d/control
    - Add dh-sequence-python3 to B-D

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 18 Oct 2021 11:54:56 +0900

opencv (4.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.3+dfsg.
  * Add barcode and wechat-qrcode libraries to libopencv-contrib package.
  * Add opencv_model_diagnostics to libopencv-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Aug 2021 15:46:54 +0900

opencv (4.5.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Drop depends between library packages (Closes: #979809)
  * Drop ${java:Depends}/${java:Recommends} (undefined)
  * Update libgdcm-dev arch list (Closes: #987621)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Jun 2021 14:09:47 +0200

opencv (4.5.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Revert "Fix debian-rules-sets-DEB_BUILD_OPTIONS"
  * Add more Breaks for old ros-vision-opencv packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Dec 2020 12:01:15 +0100

opencv (4.5.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks for packages encoding old library names
  * Fix debian-rules-sets-DEB_BUILD_OPTIONS
  * Remove wrong lintian-overrides
  * bump policy and debhelper versions
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 30 Dec 2020 17:24:43 +0100

opencv (4.5.1+dfsg-2) unstable; urgency=medium

  [ Mo Zhou ]
  * Bump B-D from VTK-7 to VTK-9.
  * Add runtime Deps libcharls2 for python3-opencv. (Closes: #978452)

  [ Pino Toscano ]
  * Fix FTBFS on architectures without java. (Closes: #978028)

 -- Mo Zhou <lumin@debian.org>  Tue, 29 Dec 2020 14:45:26 +0800

opencv (4.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.1+dfsg
  * Refresh installation paths for upstream 4.5.1 release.
  * Mark libopencv*-{java,jni} as Multi-Arch: no. (Closes: #969957)
  * Correct bogus build dependencies on gdcm packages (Closes: #977991)
  * Demote libopencv*-java to Recommends for libopencv-dev. (Closes: #969960)

 -- Mo Zhou <lumin@debian.org>  Thu, 24 Dec 2020 14:03:53 +0800

opencv (4.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Dec 2020 14:47:25 +0800

opencv (4.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.5.0+dfsg (Closes: #959526)
  * Bump VERSION from 4.4.0->4.5.0 for all control files.
  * Install the newly added "mcc" module to libopencv-contrib{4.5,-dev}.
  * d/copyright: Global license has been changed into Apache-2.0
  * Deprecate libavresample in favor of libswresample. (Closes: #971330)
  * Replace B-D libdc1394-22-dev with libdc1394-dev. (Closes: #970842)
  * Bump VTK dep from libvtk6-dev to libvtk7-dev.
  * Refresh d/copyright for opencv 4.5.0.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Dec 2020 17:01:26 +0800

opencv (4.4.0+dfsg2-1) experimental; urgency=medium

  * New upstream version 4.4.0+dfsg2 (Closes: #959526)
  * Refresh existing patches.
  * Bump VERSION from 4.3->4.4 for all control files.
  * rules: Add a comment on WITH_QT=OFF.
  * rules: Toggle cmake option -DWITH_GPHOTO2=ON. (Closes: #963143)
  * d/copyright: Filter out one more lena image.

 -- Mo Zhou <lumin@debian.org>  Sat, 05 Sep 2020 14:08:36 +0800

opencv (4.3.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.3.0+dfsg
  * Bump SOVER from 4.2 to 4.3 for control files.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Apr 2020 14:51:13 +0800

opencv (4.2.0+dfsg-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * Really drop statically linked tests (Closes: #943706)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Use correct machine-readable copyright file URI.
  * Add debian/upstream/metadata
  * Re-add riscv64 which is not known yet to cme and thus was removed to run cme successfully

  [ Mo Zhou ]
  * Really disable building test code and remove bin:libopencv-ts-dev.
  * Mark libopencv4.2-java as M-A: foreign. (Closes: #942016)

 -- Mo Zhou <lumin@debian.org>  Thu, 02 Apr 2020 21:35:38 +0800

opencv (4.2.0+dfsg-5) unstable; urgency=medium

  [ Mo Zhou ]
  * Enable building with gstreamer as per user request.
  * Bump Standards-Version to 4.5.0 (no change).
  * Specify Rules-Requires-Root: no.

  [ Aurelien Jarno ]
  * Re-enable features disabled on riscv64. (Closes: #951464)

 -- Mo Zhou <lumin@debian.org>  Tue, 18 Feb 2020 11:31:25 +0800

opencv (4.2.0+dfsg-4) unstable; urgency=medium

  * Skip dh_dwz on mipsel architecture.

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Feb 2020 09:14:53 +0800

opencv (4.2.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 01 Feb 2020 11:14:25 +0800

opencv (4.2.0+dfsg-2) experimental; urgency=medium

  * Remove unnecessary CPU baseline/dispatch flags and use upstream default.
  * Stop building examples (-DBUILD_EXAMPLES=OFF) (Closes: #943706)
  * Build without Java on several port architectures.
    (Thanks Samuel Thibault) (Closes: #948248)
  * Initialize autopkgtest: read image via python interface.
  * No longer build tests for the shared object build.
  * Remove get-orig-source target as uscan is already useful enough.
  * Override lintian warnings for libopencv-dev::opencv4.pc .
  * Bump debhelper compat level to 12 and deprecate d/compat.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Fri, 10 Jan 2020 16:58:15 +0800

opencv (4.2.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.2.0+dfsg
  * control: bump SOVERSION from 4.1 to 4.2
  * Let libopencv4.2-java breaks&replaces libopencv4.1-java.
  * Bump SOVERSION for install control files and pom.xml.
  * Remove obsolete patch workaround-javadoc-failure.patch .
  * Remove obsolete patch cmake-mips-no-msa.patch.
  * Add the missing B-D libilmbase-dev.
  * Add patch cmake-revert-openexr.patch to prevent FTBFS.
  * Add missing B-D python3-bs4.
    Make this package buildtable for RISCV64.
  * Remove SSE3 and AVX from dynamic dispatching list for amd64.
  * Explicitly set WITH_LAPACK and WITH_PROTOBUF to ON, and WITH_QT to OFF.
  * Add WITH_NGRAPH=OFF to cmake options.
  * Update my email address.

 -- Mo Zhou <lumin@debian.org>  Tue, 31 Dec 2019 12:33:06 +0800

opencv (4.1.2+dfsg-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Replace libgdbm2-dev with libgdbm-dev,
    and libvtkgdcm2-dev with libvtkgdcm-dev. (closes: #944341)

  [ Mo Zhou ]
  * Add AVX512_COMMON to amd64 dispatch list, and VFPV3,NEON to arm64 list.
  * Exclude gdcm development packages from B-D on non-release architectures.

  [ Gianfranco Costamagna ]
  * Remove builddir-static to save some space (Closes: #943706)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Nov 2019 16:08:26 +0800

opencv (4.1.2+dfsg-4) unstable; urgency=medium

  * Disable MSA (MIPS* arch) to avoid ISA violation. (Closes: #942561)
  * Re-enable pkg-config file generation. (Closes: #942562)
  * Install the opencv4.pc file to libopencv-dev

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 18 Oct 2019 14:39:01 +0000

opencv (4.1.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable and start transition.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 16 Oct 2019 16:46:08 +0800

opencv (4.1.2+dfsg-2) experimental; urgency=medium

  * Deprecate the Python2 package: python-opencv. (Closes: #937199)
  * Don't run unit tests on mipsel at all.
  * Revert "Bump VTK B-D from libvtk6-dev to libvtk7-dev." for portability.
  * Rebuild in experimental (Closes: #940483)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 15 Oct 2019 11:42:43 +0800

opencv (4.1.2+dfsg-1) experimental; urgency=medium

  * New upstream version 4.1.2+dfsg
  * Files-Excluded: exclude more Lena images from the source.
  * Drop patches for "fixing the atomic linkage".
  * Bump version numbers for java files from 4.1.1 to 4.1.2.
  * Install the new contrib module dnn_superres.
  * Use "noopt" and "-gsplit-dwarf" on mipsel.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 13 Oct 2019 16:51:16 +0800

opencv (4.1.1+dfsg-3) experimental; urgency=medium

  * Disable parallel build for mips* architectures due to OOM issue.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Sep 2019 14:35:37 +0800

opencv (4.1.1+dfsg-2) experimental; urgency=medium

  * Enable code path dispatch for SIMD optimization.
  * Prevent dh_numpy from generating depends field for every package.
  * Copyright: mention different 3rd clauses in BSD-3 licenses.
  * Fixup armel FTBFS:
    * Cherry-pick 4649728 to fix atomic linkage.
    * Cherry-pick c657c6c to fix minor issue in the atomic fix.
  * RISCV64: disable gdcm2 support and enable tbb support. (Closes: #924713)

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 20 Sep 2019 05:22:17 +0000

opencv (4.1.1+dfsg-1) experimental; urgency=medium

  * New upstream version 4.1.1+dfsg
  * Re-enable dh_auto_tests and keep performance tests disabled.
    + Allow some tests to fail.
  * Bump OpenCV version number for Java related control files.
  * Fix disordered output when building the package:
    * Use ninja (-GNinja & B-D) build.
    * Avoid parallel d/rules build steps.
    * Avoid parallel d/rules configure steps.
  * Patch a XML file to circumvent the javadoc build failure.
  * Install additional YML files to opencv-data.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 27 Aug 2019 06:12:54 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libopencv-core410`.
